Closed Bug 954597 Opened 7 years ago Closed 7 years ago

Accessibility: Add a title to the chat log document in the conversation window

Categories

(Instantbird :: Conversation, defect)

defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: bugzilla, Assigned: benediktp)

Details

Attachments

(1 file)

*** Original post on bio 1165 by Peter Vagner <pvdeejay AT gmail.com> at 2011-11-13 20:00:00 UTC ***

Instantbird chat window has at least the following focusable controls.
- input box - an edit field where user types messages to sent to his chat peers.
- a tab list - where user can switch individual conversations.
- A chat log - a read only control where incoming and outgoing messages are displayed.
There is a minor accessibility issue related to this chat log control.
There is a document rendered inside which has no title. If there is no title gecko generates the title out of the document url.
It's too verbose and ugly to be presented with such a horrible title each time focusing the chat log control.
The automatically generated title reads for example:
wyciwyg://1/chrome://instantbird/content/instantbird.xul 
I have simply added a <title>Chat log</title> into the document markup inside the initHTMLDocument in the file modules/imThemes.jsm.
Of course localization should be taken into account while fixing this properly.
*** Original post on bio 1165 at 2012-02-16 21:48:26 UTC ***

Thanks for filing this! Sorry no one has responded yet. We do need to add this and I'm marking it as new.
Status: UNCONFIRMED → NEW
Ever confirmed: true
Attached patch Patch v1Splinter Review
*** Original post on bio 1165 as attmnt 1240 at 2012-03-10 00:01:00 UTC ***

I inserted a title-tag at the given place and used the conversation title as value. I guess that's better than a generic "Chat log" title?
Attachment #8352993 - Flags: review?(florian)
Assignee: nobody → benediktp
Comment on attachment 8352993 [details] [diff] [review]
Patch v1

*** Original change on bio 1165 attmnt 1240 at 2012-03-10 00:23:47 UTC ***

This looks fine, I'm not sure I love the comment...but it seems correct.
Attachment #8352993 - Flags: review?(florian) → review+
*** Original post on bio 1165 by Peter Vagner <pvdeejay AT gmail.com> at 2012-03-10 07:17:11 UTC ***

I think this is perfect.
Thanks verry much!
*** Original post on bio 1165 by Peter SZTAN <sztanpet AT gmail.com> at 2012-03-11 23:45:44 UTC ***

this probably should be separate bug, but the dialogue asking for the master password should probably also include the name of the application at least
*** Original post on bio 1165 at 2012-03-12 23:52:30 UTC ***

Checked in as http://hg.instantbird.org/instantbird/rev/c15791758442 thanks Peter for the report and Mic for the patch!
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.2
You need to log in before you can comment on or make changes to this bug.